import Link from "next/link";

const Navbar = () => {
    return (
        <nav className="w-full py-4 px-8 flex justify-between items-center bg-gray-800 shadow-md">
            <Link href="/">
                <h1 className="text-2xl font-bold text-white cursor-pointer">Todoist</h1>
            </Link>
            <div className="space-x-4">
                <Link href="/login">
                    <button className="px-4 py-2 rounded-lg border-2 border-white text-white font-semibold hover:bg-white hover:text-gray-800 transition">
                        Login
                    </button>
                </Link>
                <Link href="/register">
                    <button className="px-4 py-2 rounded-lg bg-white text-gray-900 font-semibold hover:bg-gray-200 transition">
                        Register
                    </button>
                </Link>
            </div>
        </nav>
    );
};

export { Navbar };